Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04930 Gameplay Major Always Jun 28, 2012, 21:05 Feb 14, 2018, 02:06
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Fixed OS
Status [?] Resolved Driver ampoker2.cpp
Version 0.146u1 Fixed in Version Build
Summary 04930: All sets in ampoker2.c: Unable to init machine correctly
Description Recent builds are unable to init machine, using the procedure listed at:
http://mamedev.org/devwiki/index.php/FAQ:Games#American_Poker_II
Steps To Reproduce mame ampoker2

Turn ON Operator Key 9. Hit the DOOR key O. After a moment, the Operator Mode will appear. Turn OFF the Operator Key 9 to allow play, resetting with F3 if needed.
Additional Information Breakage specifically between r14716 - r14730 (during 12/14/2011 submits)
Flags
Regression Version 0.144u3
Affected Sets / Systems All sets in ampoker2.c
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
3
User avatar
No.10292
Osso
Developer
Feb 16, 2014, 13:52
Can't reproduce it anymore. Anyone else?
User avatar
No.10294
haynor666
Tester
Feb 16, 2014, 16:32
I've tested some bootlegs and originals (even those with F2 as operator key) and all works fine.
User avatar
No.10608
haynor666
Tester
Apr 21, 2014, 12:45
edited on: Apr 21, 2014, 12:52
In 153 actually it's impossible to init rabbitpk. Different init procedure ?

I can't right now init ampkr2b3 with

" 1) Turn ON the Supervisor Key (0).
    2) Enter the following sequence: HOLD1, HOLD5, HOLD4, HOLD3, HOLD2 and HOLD3.
    3) Wait till the Supervisor Mode appear, and turn OFF the Supervisor Key (0).
    4) Reset the machine. (you must reset manually the machine due to watchdog issues)."